package de.avatic.lcc.model.excel;

import de.avatic.lcc.model.db.utils.DimensionUnit;
import de.avatic.lcc.model.db.utils.WeightUnit;

import java.util.Map;

public class ExcelPackaging {

    private Integer id;

    private String supplierMappingId;

    private String partNumber;

    private Double shuLength;
    private Double shuWidth;
    private Double shuHeight;
    private Double shuWeight;

    private DimensionUnit shuDimensionUnit;
    private WeightUnit shuWeightUnit;

    private Integer shuUnitCount;

    private Double huLength;
    private Double huWidth;
    private Double huHeight;
    private Double huWeight;

    private DimensionUnit huDimensionUnit;
    private WeightUnit huWeightUnit;

    private Integer huUnitCount;
    private Map<String, String> properties;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getSupplierMappingId() {
        return supplierMappingId;
    }

    public void setSupplierMappingId(String supplierMappingId) {
        this.supplierMappingId = supplierMappingId;
    }

    public String getPartNumber() {
        return partNumber;
    }

    public void setPartNumber(String partNumber) {
        this.partNumber = partNumber;
    }

    public Double getShuLength() {
        return shuLength;
    }

    public void setShuLength(Double shuLength) {
        this.shuLength = shuLength;
    }

    public Double getShuWidth() {
        return shuWidth;
    }

    public void setShuWidth(Double shuWidth) {
        this.shuWidth = shuWidth;
    }

    public Double getShuHeight() {
        return shuHeight;
    }

    public void setShuHeight(Double shuHeight) {
        this.shuHeight = shuHeight;
    }

    public Double getShuWeight() {
        return shuWeight;
    }

    public void setShuWeight(Double shuWeight) {
        this.shuWeight = shuWeight;
    }

    public DimensionUnit getShuDimensionUnit() {
        return shuDimensionUnit;
    }

    public void setShuDimensionUnit(DimensionUnit shuDimensionUnit) {
        this.shuDimensionUnit = shuDimensionUnit;
    }

    public WeightUnit getShuWeightUnit() {
        return shuWeightUnit;
    }

    public void setShuWeightUnit(WeightUnit shuWeightUnit) {
        this.shuWeightUnit = shuWeightUnit;
    }

    public Double getHuLength() {
        return huLength;
    }

    public void setHuLength(Double huLength) {
        this.huLength = huLength;
    }

    public Double getHuWidth() {
        return huWidth;
    }

    public void setHuWidth(Double huWidth) {
        this.huWidth = huWidth;
    }

    public Double getHuHeight() {
        return huHeight;
    }

    public void setHuHeight(Double huHeight) {
        this.huHeight = huHeight;
    }

    public Double getHuWeight() {
        return huWeight;
    }

    public void setHuWeight(Double huWeight) {
        this.huWeight = huWeight;
    }

    public DimensionUnit getHuDimensionUnit() {
        return huDimensionUnit;
    }

    public void setHuDimensionUnit(DimensionUnit huDimensionUnit) {
        this.huDimensionUnit = huDimensionUnit;
    }

    public WeightUnit getHuWeightUnit() {
        return huWeightUnit;
    }

    public void setHuWeightUnit(WeightUnit huWeightUnit) {
        this.huWeightUnit = huWeightUnit;
    }

    public Integer getShuUnitCount() {
        return shuUnitCount;
    }

    public void setShuUnitCount(Integer shuUnitCount) {
        this.shuUnitCount = shuUnitCount;
    }

    public Integer getHuUnitCount() {
        return huUnitCount;
    }

    public void setHuUnitCount(Integer huUnitCount) {
        this.huUnitCount = huUnitCount;
    }

    public void setProperties(Map<String, String> properties) {
        this.properties = properties;

    }

    public Map<String, String> getProperties() {
        return properties;
    }
}
